# $Revision: 1.7.2.1 $, $Date: 2003/03/13 00:56:47 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	UnixCrypt
Summary:	Crypt::UnixCrypt perl module
Summary(pl):	Modu perla Crypt::UnixCrypt
Name:		perl-Crypt-UnixCrypt
Version:	1.0
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::UnixCrypt - perl-only implementation of the crypt(3) function.

%description -l pl
Crypt::UnixCrypt - implementacja funkcji crypt(3) wycznie w Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_sitelib}/Crypt/UnixCrypt.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-UnixCrypt.spec,v $
Revision 1.7.2.1  2003/03/13 00:56:47  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:30:09  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/08/18 11:58:30  blues
- release 2 - new doc, license fix; STBR

Revision 1.4  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/04 09:28:33  qboosh
- fixed - now it builds proper package :)

Revision 1.2  2002/04/03 16:32:54  kloczek
- minor changes.

Revision 1.1  2002/04/03 14:18:56  marcus
- initial PLD spec, need fixing
